# reddit.subreddit

class `praw.models.``SubredditHelper`(reddit, _data)

  Provide a set of functions to interact with Subreddits.

  `__call__`(display_name)

    Return a lazy instance of `Subreddit`.

    Parameters: | display_name – The name of the subreddit.

  `__init__`(reddit, _data)

    Initialize a PRAWModel instance.

    Parameters: | reddit – An instance of `Reddit`.

  `create`(name, title=None, link_type='any', subreddit_type='public', wikimode='disabled', **other_settings)

    Create a new subreddit.

    Parameters:

    - name – The name for the new subreddit.
    - title – The title of the subreddit. When `None` or `''` use the value of `name`.
    - link_type – The types of submissions users can make. One of `any`, `link`, `self` (default: any).
    - subreddit_type – One of `archived`, `employees_only`, `gold_only`, `gold_restricted`, `private`, `public`, `restricted` (default: public).
    - wikimode – One of `anyone`, `disabled`, `modonly`.

    See `update()` for documentation of other available settings.

    Any keyword parameters not provided, or set explicitly to None, will take on a default value assigned by the Reddit server.

  `parse`(data, reddit)

    Return an instance of `cls` from `data`.

    Parameters:

    - data – The structured data.
    - reddit – An instance of `Reddit`.